aagc.vo

## Class OspitalitaRSARequest

- java.lang.Object
- - aagc.vo.OspitalitaRSARequest

-     public class OspitalitaRSARequest
      extends java.lang.Object

  Classe Java per ospitalitaRSARequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="ospitalitaRSARequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="identificativoPAI">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="6"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataAmmissione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="dataDimissione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceMotivoDimissione" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceNucleo">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="9"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceStruttura">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="6"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceTipologiaProvenienza" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[0-9]+"/>
                     <maxLength value="2"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="codiceTipoEvento" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <length value="1"/>
                     <pattern value="[a-zA-Z]+"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `codiceMotivoDimissione`
    `protected java.lang.String` | `codiceNucleo`
    `protected java.lang.String` | `codiceStruttura`
    `protected java.lang.String` | `codiceTipoEvento`
    `protected java.lang.String` | `codiceTipologiaProvenienza`
    `protected java.lang.String` | `dataAmmissione`
    `protected java.lang.String` | `dataDimissione`
    `protected java.lang.String` | `identificativoPAI`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OspitalitaRSARequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCodiceMotivoDimissione()` Recupera il valore della proprietà codiceMotivoDimissione.
    `java.lang.String` | `getCodiceNucleo()` Recupera il valore della proprietà codiceNucleo.
    `java.lang.String` | `getCodiceStruttura()` Recupera il valore della proprietà codiceStruttura.
    `java.lang.String` | `getCodiceTipoEvento()` Recupera il valore della proprietà codiceTipoEvento.
    `java.lang.String` | `getCodiceTipologiaProvenienza()` Recupera il valore della proprietà codiceTipologiaProvenienza.
    `java.lang.String` | `getDataAmmissione()` Recupera il valore della proprietà dataAmmissione.
    `java.lang.String` | `getDataDimissione()` Recupera il valore della proprietà dataDimissione.
    `java.lang.String` | `getIdentificativoPAI()` Recupera il valore della proprietà identificativoPAI.
    `void` | `setCodiceMotivoDimissione(java.lang.String value)` Imposta il valore della proprietà codiceMotivoDimissione.
    `void` | `setCodiceNucleo(java.lang.String value)` Imposta il valore della proprietà codiceNucleo.
    `void` | `setCodiceStruttura(java.lang.String value)` Imposta il valore della proprietà codiceStruttura.
    `void` | `setCodiceTipoEvento(java.lang.String value)` Imposta il valore della proprietà codiceTipoEvento.
    `void` | `setCodiceTipologiaProvenienza(java.lang.String value)` Imposta il valore della proprietà codiceTipologiaProvenienza.
    `void` | `setDataAmmissione(java.lang.String value)` Imposta il valore della proprietà dataAmmissione.
    `void` | `setDataDimissione(java.lang.String value)` Imposta il valore della proprietà dataDimissione.
    `void` | `setIdentificativoPAI(java.lang.String value)` Imposta il valore della proprietà identificativoPAI.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### identificativoPAI

          protected java.lang.String identificativoPAI

    - #### dataAmmissione

          protected java.lang.String dataAmmissione

    - #### dataDimissione

          protected java.lang.String dataDimissione

    - #### codiceMotivoDimissione

          protected java.lang.String codiceMotivoDimissione

    - #### codiceNucleo

          protected java.lang.String codiceNucleo

    - #### codiceStruttura

          protected java.lang.String codiceStruttura

    - #### codiceTipologiaProvenienza

          protected java.lang.String codiceTipologiaProvenienza

    - #### codiceTipoEvento

          protected java.lang.String codiceTipoEvento

  - ### Constructor Detail

    - #### OspitalitaRSARequest

          public OspitalitaRSARequest()

  - ### Method Detail

    - #### getIdentificativoPAI

          public java.lang.String getIdentificativoPAI()

      Recupera il valore della proprietà identificativoPAI.
      Returns:
        possible object is `String`

    - #### setIdentificativoPAI

          public void setIdentificativoPAI(java.lang.String value)

      Imposta il valore della proprietà identificativoPAI.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataAmmissione

          public java.lang.String getDataAmmissione()

      Recupera il valore della proprietà dataAmmissione.
      Returns:
        possible object is `String`

    - #### setDataAmmissione

          public void setDataAmmissione(java.lang.String value)

      Imposta il valore della proprietà dataAmmissione.
      Parameters:
        `value` - allowed object is `String`

    - #### getDataDimissione

          public java.lang.String getDataDimissione()

      Recupera il valore della proprietà dataDimissione.
      Returns:
        possible object is `String`

    - #### setDataDimissione

          public void setDataDimissione(java.lang.String value)

      Imposta il valore della proprietà dataDimissione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceMotivoDimissione

          public java.lang.String getCodiceMotivoDimissione()

      Recupera il valore della proprietà codiceMotivoDimissione.
      Returns:
        possible object is `String`

    - #### setCodiceMotivoDimissione

          public void setCodiceMotivoDimissione(java.lang.String value)

      Imposta il valore della proprietà codiceMotivoDimissione.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceNucleo

          public java.lang.String getCodiceNucleo()

      Recupera il valore della proprietà codiceNucleo.
      Returns:
        possible object is `String`

    - #### setCodiceNucleo

          public void setCodiceNucleo(java.lang.String value)

      Imposta il valore della proprietà codiceNucleo.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceStruttura

          public java.lang.String getCodiceStruttura()

      Recupera il valore della proprietà codiceStruttura.
      Returns:
        possible object is `String`

    - #### setCodiceStruttura

          public void setCodiceStruttura(java.lang.String value)

      Imposta il valore della proprietà codiceStruttura.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceTipologiaProvenienza

          public java.lang.String getCodiceTipologiaProvenienza()

      Recupera il valore della proprietà codiceTipologiaProvenienza.
      Returns:
        possible object is `String`

    - #### setCodiceTipologiaProvenienza

          public void setCodiceTipologiaProvenienza(java.lang.String value)

      Imposta il valore della proprietà codiceTipologiaProvenienza.
      Parameters:
        `value` - allowed object is `String`

    - #### getCodiceTipoEvento

          public java.lang.String getCodiceTipoEvento()

      Recupera il valore della proprietà codiceTipoEvento.
      Returns:
        possible object is `String`

    - #### setCodiceTipoEvento

          public void setCodiceTipoEvento(java.lang.String value)

      Imposta il valore della proprietà codiceTipoEvento.
      Parameters:
        `value` - allowed object is `String`